# Keybinds Galore
#### by Evaisa <3


This mod gives you the ability to add keybinds through the game console, for example letting you bind Keypad1 to say "Hello there!"  
That is all this mod does.

You can find a list of keycodes here: 
https://docs.unity3d.com/ScriptReference/KeyCode.html


**Commands:**

* bind [Keycode] [commands]
    * Lets you bind a key to one or multiple commands.
    * examples:
        * bind Keypad1 "say 'Hello there!'"
        * bind Keypad2 "say 'I like turtles'" "say 'What about you?'"
    * Put double quotes around every seperate command, for "say" you need to put single quotes around the string you want to say otherwise it will only say the first word.
	* If you are binding a command with spaces in it you also have to use double quotes.
* unbind [Keycode]
    * Unbinds a key.
* unbindall
    * Unbinds all keys.
* reloadbinds
    * Reloads the json file storing the binds.

  
### Images:

![binding](https://i.imgur.com/lumPOkL.png)


### Patch Notes:


2.0.1

* Add "reloadbinds" command, this can be used to reload the json file storing the keybinds, in case you want to manually edit it while you are in game.


2.0.0

* Update for latest version of the game.
* Prevent keybinds from firing while typing.
* Upload under new thunderstore account. 


1.0.3

* Literally no changes, I just forgot to tag it as a mod i think


1.0.0

* Released the mod.


## Installation

* Drop the KeybindsGalore folder in your plugins folder.
